### Hierarchy

- Post

## Index

### Properties

- data
- dataJson
- el

### Methods

- componentDidLoad
- componentDidUpdate
- parsePost
- postRender
- render

## Properties

### data

data: any

- Defined in wordpress/post/post.tsx:10

### dataJson

dataJson: string

- Defined in wordpress/post/post.tsx:11

### el

el: HTMLElement

- Defined in wordpress/post/post.tsx:9

## Methods

### componentDidLoad

- componentDidLoad(): void

- - Defined in wordpress/post/post.tsx:13

  #### Returns void

### componentDidUpdate

- componentDidUpdate(): void

- - Defined in wordpress/post/post.tsx:17

  #### Returns void

### parsePost

- parsePost(post: any): any

- - Defined in wordpress/post/post.tsx:32

  #### Parameters

  - ##### post: any

  #### Returns any

### postRender

- postRender(): void

- - Defined in wordpress/post/post.tsx:21

  #### Returns void

### render

- render(): any

- - Defined in wordpress/post/post.tsx:51

  #### Returns any